/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
  EC_rand:  some useful random number generators based on class Random
*/


class EC_rand extends java.util.Random  {


/*
   Constructor:
*/

EC_rand(int seed) {

   setSeed(seed);

   }




/*
    irand(N): returns a uniform integer random number in the range
                0 <= irand < N
*/

int  irand(int n)
  {
  return ( nextInt(n) );
  }




/*
     frand():  returns a uniform floating point random number in the
                  range 0 <= frand <= 1
*/

float frand()
  {
      return (nextFloat());
  }




/*
     gaussian():  returns a Gaussian floating point random number with
                    a mean of 0 and and a std of 1.
*/

float gaussian()
  {
      return ( (float) nextGaussian());
  }


}


