/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
   BinaryPopulation: Populations of binary-valued Individuals
*/


import java.util.*;


class BinaryPopulation extends Population
  {

/*
   BinaryPopulation constructor for populations with randomly generated individuals
*/

BinaryPopulation(EA ea, int pop_size, EC_rand rand)
  {
  super(ea, pop_size);

  int  i;

  for (i=0; i<pop_size; i++)       /* create initial population */
    {
    indiv[i] = new BinaryIndividual();
    }

}


/*
   Population constructor for populations with no initial Individuals
*/

BinaryPopulation(EA ea, int pop_size)
  {
  super(ea, pop_size);
  }

}











