/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
   IntegerIndividual:   population members with integer-valued genes
*/

class IntegerIndividual  extends Individual
    {


/*
   IntegerIndividual Constructor: random genome
*/

IntegerIndividual(int birthday, EC_rand rand)
    {
    super(birthday);

    genome = new IntegerGenome(rand);
    }


/*
   Individual Constructor:
*/

IntegerIndividual()
    {
    super();

    genome = new IntegerGenome();
    }



Individual copy()
  {
  IntegerIndividual cp = new IntegerIndividual();

  cp.birthdate = this.birthdate;
  cp.fitness = this.fitness;
  cp.parent_fitness = this.parent_fitness;
  cp.genome = this.genome.copy();
  return ((Individual) cp);
  }


}

