/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
   IntegerPopulation: Populations of Integer-valued Individuals
*/


import java.util.*;


class IntegerPopulation extends Population
  {

/*
   IntegerPopulation constructor for populations with randomly generated individuals
*/

IntegerPopulation(EA ea, int pop_size, EC_rand rand)
  {
  super(ea, pop_size);

  int  i;

  for (i=0; i<pop_size; i++)       /* create initial population */
    {
    indiv[i] = new IntegerIndividual();
    }

}


/*
   Population constructor for populations with no initial Individuals
*/

IntegerPopulation(EA ea, int pop_size)
  {
  super(ea, pop_size);
  }



}











