/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
  Individual:   population members
*/

class Individual  {

    int    birthdate;
    float  fitness;
    Genome genome;


/*
   Individual Constructor: random genome
*/

Individual(int birthday, EC_rand rand)
    {
    birthdate = birthday;
    genome = new Genome(rand);
    }


/*
   Individual Constructor:
*/

Individual()
    {
    genome = new Genome();
    }


/*
  eval_indiv:
*/

void eval()
  {
  fitness = genome.eval();
  }


void mutate(EC_rand rand, int mutation_type, float mutation_step_size)
  {
  this.genome.mutate(rand, mutation_type, mutation_step_size);

  return;
  }


Individual copy(int birthday)
  {
  Individual cp = new Individual();

  cp.birthdate = birthday;
  cp.fitness = this.fitness;
  cp.genome = this.genome.copy();
  return cp;
  }


Individual copy()
  {
  Individual cp = new Individual();

  cp.birthdate = this.birthdate;
  cp.fitness = this.fitness;
  cp.genome = this.genome.copy();
  return cp;
  }


}

