/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
  Individual:   base class for population members
*/

abstract class Individual  {

    int    birthdate;
    float  fitness;
    float  parent_fitness;
    Genome genome;


/*
   Individual Constructor: random genome
*/

Individual(int birthday)
    {
    birthdate = birthday;
    parent_fitness = Float.NEGATIVE_INFINITY;
    }


/*
   Individual Constructor:
*/

Individual()
    {
    }


abstract void eval();
abstract Individual copy(int birthday);
abstract Individual copy();
abstract void mutate(EA ea);
abstract void crossover(Individual mate, EA ea);
}

