/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
    GA_EA:  a simple Genetic Algorithm
*/

import java.util.*;


class GA_EA   extends EA
    {


/*
    GA_EA constructor
*/

GA_EA(Properties props, Landscape lscape, int rand_seed)
    {
    super(rand_seed);

    ea_type = "GA";
    parent_pop_size = 10;  // defaults
    brood_size = 1;

    representation_name = "binary";
    representation_type = binary_rep;

    parent_selection_name = "fitness_proportional";
    parent_selection_type = fitness_proportional;
    mate_selection_type = fitness_proportional;

    generation_name = "nonoverlapping";
    generation_type = nonoverlapping;

    survival_selection_name = "uniform_stochastic";
    survival_selection_type = uniform_stochastic;


    EA_init(props, lscape);         // finish general EA initialization;
    }


/*
  adapt_operators:  dynamically adjust operator parameters
*/

void adapt_operators()
    {
    }


/*
  Adaptation_stats:
*/

void adaptation_stats()
  {
  }


}

