/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
    UN_EA:  a simple unified evolutionary algorithm
*/

import java.util.*;


class UN_EA   extends EA  {


/*
    UN_EA constructor
*/

UN_EA(Properties props, Landscape lscape, int rand_seed)
    {
    super(rand_seed);

    ea_type = "UN";
    parent_pop_size = 10;  // defaults
    brood_size = 1;

    representation_type = none;
    parent_selection_type = none;
    mate_selection_type = uniform_stochastic;
    generation_type = none;
    survival_selection_type = none;


    EA_init(props, lscape);         // finish general EA initialization;
    }


/*
  adapt_operators:  dynamically adjust operator parameters
*/

void adapt_operators()
    {
    }


/*
  Adaptation_stats:
*/

void adaptation_stats()
  {
  }

}


