/*       Copyrighted by Kenneth De Jong - 2005          */
/* Licensed under the Academic Free License version 2.1 */

/*
  Util:  miscellaneous EC utility routines
*/


class Util  {


/*
  pad_left:  kludge until formatted I/O gets friendlier
*/


    static String blanks = new String("                                                   ");
    static String padded;

    static String pad_left(String str, int width) {
	if (width > blanks.length())  return (str);
	padded = blanks.substring(0, width - str.length());
	return (padded.concat(str));
        }


/*
  Standard EC messages:
*/


    static void ec_warn(String msg) {
	System.out.println(" ** EC warning: " + msg);
        }

    static void ec_error(String msg) {
	System.out.println(" ** EC error: " + msg);
	System.exit(1);
        }


}
